summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2022-08-13 18:00:43 -0500
committerzachir <zachir@librem.one>2022-08-13 18:00:43 -0500
commit042045f6b4e23cc4b4c009b3ebb60928b6a078a2 (patch)
tree9c420a7395a43f805fe6baeb322fcf1e3600a700
parent12d03923bbef2fe76831a27e3b75e906cbbbfb6a (diff)
fix improper grep for repos
-rw-r--r--zirless.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/zirless.sh b/zirless.sh
index 97cecbb..3f94d22 100644
--- a/zirless.sh
+++ b/zirless.sh
@@ -274,11 +274,11 @@ sed -i "s/-j2/-j$(nproc)/;s/^#MAKEFLAGS/MAKEFLAGS/" /etc/makepkg.conf
manualinstall yay-bin || error "Failed to install AUR helper."
-grep -q '^[lib32]' /etc/pacman.conf || artixaddlib32repo || error "Failed to add lib32 repo"
+grep -q '^\[lib32\]' /etc/pacman.conf || artixaddlib32repo || error "Failed to add lib32 repo"
-grep -q '^[universe]' /etc/pacman.conf || artixadduniverserepo || error "Failed to add universe repo"
+grep -q '^\[universe\]' /etc/pacman.conf || artixadduniverserepo || error "Failed to add universe repo"
-grep -q '^[extra]' /etc/pacman.conf || artixaddarchrepos || error "Failed to add Arch Linux repos."
+grep -q '^\[extra\]' /etc/pacman.conf || artixaddarchrepos || error "Failed to add Arch Linux repos."
refreshkeys || error "Error automatically refreshing Arch keyring. Consider doing so manually."